include "SetupFunction";

#include "InstallerTypes.r"


/************************** Target File Spec. resources **********************************/
resource 'intf' (10000) {
	format0 {
		noSearchForFile,
		TypeCrMustMatch,
		'APPL',
		'ttxt',
		0,
		"folder-user:TeachText"
	}
};

/************************** Source File Spec. resources **********************************/
resource 'infs' (20000) {
	'APPL',
	'ttxt',
	0x1,
	noSearchForFile,
	TypeCrMustMatch,
	"Tidbits:TeachText"
};

/************************** File Atom resource **********************************/
resource 'infa' (10000) {
	format1 {
		deleteWhenRemoving,
		deleteWhenInstalling,
		copy,
		dontIgnoreLockedFile,
		dontSetFileLocked,
		useVersProcToCompare,
		srcNeedExist,
		rsrcForkInRsrcFork,
		leaveAloneIfNewer,
		updateExisting,
		copyIfNewOrUpdate,
		rsrcFork,
		dataFork,
		0,
		0,
		10000,
		{	20000, 0, 0
		},
		0x0,
		0,
		0,
		""
	}
};

/************************** Package resource **********************************/
resource 'inpk' (20037) {
	format0 {
		showsOnCustom,
		notRemovable,
		dontForceRestart,
		0,
		0,
		"TeachText",
		{	
			'infa', 10000,
		}
	}
};

/************************** Preference resource **********************************/
resource 'inpr' (300) {
	format0 {
		useFolderTargetMode,			// Tells the Installer which interface to use, either disk based or folder based
		dontAllowUserToSetSystemDisk,	// Restricts user from changing System Disk
		showSelectedSizeInCustom,
		setupFunctionSupplied,			// Tells Installer to call Setup Function
		dontAllowCleanInstall,
		dontAllowServerAsTarget,
		'infn',							// Setup Function code resource type
		147,							// Setup Function code resource ID
		{	/* array helpPagelist: 2 elements */
			/* [1] */	301, 311, 301, 311,
			/* [2] */	302, 312, 302, 312
		},
		"Applications"		// Default Target Folder name
	}
};




