#include "InstallerTypes.r"

include "GetFileVersion";

//  This script is set up to use a custom version proc to determine whether
//  or not to replace/update an existing file.
//  This is the recommended way of determining whether or not to update an
//  existing file.

//  If the correct flags are set, Installer will compare the 'vers' 1 resource
//  the existing target file with the version hard-coded in the 'infa'
//  of the source file.

//  The following flags must be set:
//		copy, useSrcCrDateToCompare, leaveAloneIfNewer, & update existing.
//  also the 'infa' must have the source version hard-coded in BCD format.


resource 'inpk' (100) {
	format0 {
		showsOnCustom,
		removable,
		dontForceRestart,
		0,
		0,
		"Copy File Read Me from Tidbits Disk....",
		{	'infa', 1000	},
		}
	};

resource 'infa' (1000) {
	format1 {
		deleteWhenRemoving,
		deleteWhenInstalling,
		copy,							//  Copy on Install
		dontIgnoreLockedFile,
		dontSetFileLocked,
		useVersProcToCompare,			//  Use creation date for compare
		srcNeedExist,
		rsrcForkInRsrcFork,
		leaveAloneIfNewer,				//  Do not update a newer file
		updateExisting,					//  Update an existing file
		copyIfNewOrUpdate,
		rsrcFork,
		dataFork,
		0,
		0x0,
		10000,
		{	20000, 0, 0	},
		0x07107fff,						//  The source version number in BCD format minus 1
		128,							//  MUST be the 'invc' id of the custom version proc
		0,
		"Read Me"
		}
	};

resource 'invc' (128) {
	format0 {
		'infn',							//  The resource type of the actual custom proc
		128,							//  The resource id of the actual custom proc
		1024,							//  The minimum amount of memory needed by the proc
		"Returns vers 2 version number.",
		}
	};

resource 'infs' (10000) {
	'ttro',
	'ttxt',
	0x0,
	noSearchForFile,
	TypeCrMustMatch,
	":Read Me"
	};

resource 'infs' (20000) {
	'ttro',
	'ttxt',
	0x1,
	noSearchForFile,
	TypeCrMustMatch,
	"Tidbits:Apple Utilities:Read Me"	//  System 7.1 Tidbits FDHD diskette
	};
